Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding.bindingsource
[Groovy] Class XmlDataBindingSourceCreator

    java.lang.Object
      org.codehaus.groovy.grails.web.binding.bindingsource.DefaultDataBindingSourceCreator
          org.grails.databinding.bindingsource.AbstractRequestBodyDataBindingSourceCreator
              org.codehaus.groovy.grails.web.binding.bindingsource.XmlDataBindingSourceCreator

    @groovy.transform.CompileStatic
    class XmlDataBindingSourceCreator
    extends AbstractRequestBodyDataBindingSourceCreator

Creates DataBindingSource objects from XML in the request body

See Also:
  DataBindingSource
  DataBindingSourceCreator

Since:
  2.3

Method Summary
`protected DataBindingSource` | `createBindingSource(java.io.Reader reader)`
`protected DataBindingSourceCreationException` | `createBindingSourceCreationException(java.lang.Exception e)`
`protected CollectionDataBindingSource` | `createCollectionBindingSource(java.io.Reader reader)`
`CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
`DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
`MimeType[]` | `getMimeTypes()`

Methods inherited from class AbstractRequestBodyDataBindingSourceCreator
createBindingSource, createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createCollectionBindingSource, createCollectionDataBindingSource, createDataBindingSource, getTargetType

Methods inherited from class DefaultDataBindingSourceCreator
createCollectionDataBindingSource, createDataBindingSource, createDataBindingSource, getMimeTypes, getTargetType

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createBindingSource

    @java.lang.Override
    protected DataBindingSource createBindingSource(java.io.Reader reader)

### createBindingSourceCreationException

    @java.lang.Override
    protected DataBindingSourceCreationException createBindingSourceCreationException(java.lang.Exception e)

### createCollectionBindingSource

    @java.lang.Override
    protected CollectionDataBindingSource createCollectionBindingSource(java.io.Reader reader)

### createCollectionDataBindingSource

    @java.lang.Override
    CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

### createDataBindingSource

    @java.lang.Override
    DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

### getMimeTypes

    @java.lang.Override
    MimeType[] getMimeTypes()

Groovy Documentation